Bug 1122345 - [Docs][3.5Beta][Change][Install] RHEV 3.5 Installation Procedure
Summary: [Docs][3.5Beta][Change][Install] RHEV 3.5 Installation Procedure
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Tahlia Richardson
QA Contact: Julie
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-23 03:45 UTC by Julie
Modified: 2014-09-19 01:33 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-19 01:33:19 UTC
oVirt Team: ---


Attachments (Terms of Use)

Description Julie 2014-07-23 03:45:57 UTC
Any changes in the procedure for installing Red Hat Enterprise Virtualization 3.5 must be documented. This includes capturing screen output and noting any changes in prompts, etc.

Comment 1 Tahlia Richardson 2014-08-21 05:44:18 UTC
[8653]
Change chapter 2.2 title - add "Overview of" 
Update config preview output

[7519]
typo in note (s/commands/command)

[22200]
++ New Step 1:
 --== PRODUCT OPTIONS ==--
        
          Configure Engine on this host (Yes, No) [Yes]:
(Lucy figured out that it has to do with a new feature that allows you to install rhevm-reports and rhevm-dwh on a separate machine. In that case, you would need to run engine-setup to configure Reports and DWH, but you would not want to configure the Engine.)
          Configure WebSocket Proxy on this host (Yes, No) [Yes]:

Network configuration options are reversed

oVirt Engine Configuration - password comes before the other options

Apache Configuration - items have switched places

System Configuration - now has "Local ISO domain ACL - note that the default will restrict access to [FQDN] only, for security reasons"

--	Websocket Proxy Server Configuration is now under Product Options

Config preview is now: 
          Application mode                        : both
          Update Firewall                         : True
          Host FQDN                               : [example]
          Datacenter storage type                 : nfs
          Firewall manager                        : iptables
          Engine database name                    : engine
          Engine database secured connection      : False
          Engine database host                    : localhost
          Engine database user name               : engine
          Engine database host name validation    : False
          Engine database port                    : 5432
          Engine installation                     : True
          NFS setup                               : True
          PKI organization                        : [Your Org]
          NFS mount point                         : /var/lib/exports/iso
          Configure fence_kdump listener          : True
          NFS export ACL                          : [FQDN](rw)
          Configure local Engine database         : True
          Set application as default page         : True
          Configure Apache SSL                    : True
          Configure WebSocket Proxy               : True

Clean Up and Termination 
 ++[ INFO  ] Generating answer file '/var/lib/ovirt-engine/setup/answers/[installation-date]-setup.conf'

Comment 2 Tahlia Richardson 2014-08-22 01:31:57 UTC
Documentation Link
------------------------------

https://documentation-devel.engineering.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.5-Beta/html-single/Installation_Guide/index.html#chap-Installing_Red_Hat_Enterprise_Virtualization-1


What Changed 
------------------------------

The following topics were revised to reflect changes to the installation procedure:

Overview of Installing the Red Hat Enterprise Virtualization Manager [8653-700922]

Added "Overview of" to the title to avoid confusion with the other topic of the same name. Updated the Configuration Preview screen output as it has all changed around (see comment 1). 

Installing the Red Hat Enterprise Virtualization Manager Packages [7519-700932]

Fixed typo s/commands/command

Configuring the Red Hat Enterprise Virtualization Manager [22200-700967]

The output of this section has changed dramatically, though luckily it mostly involved moving the placement of existing items: 
Added a new step 1: Product options. This includes a new option, "Configure Engine on this host?" and a preceding paragraph for it. "Configure Websocket Proxy on this host" has also moved to this section.
Switched the placement of the options under "Network Configuration".
oVirt Engine Configuration - moved the password option to come before the other options.
Apache Configuration - switched item placement. 
System Configuration - added extra info to existing item: "Local ISO domain ACL - note that the default will restrict access to 0.0.0.0/0.0.0.0 only, for security reasons" (Note: 0.0.0.0/0.0.0.0 is placeholder text)
Updated the Config Preview out put, same as topic [8653].
Clean Up and Termination - added a new line: [ INFO  ] Generating answer file '/var/lib/ovirt-engine/setup/answers/[installation-date]-setup.conf'

Updated revision history: [34615-700972]


Versions Applicable: 3.5Beta


NVR  
------------------------------

Red_Hat_Enterprise_Virtualization-Installation_Guide-3.5-Beta-web-en-US-3.5-7.el6eng
 

Moving to ON_QA.

Comment 3 Julie 2014-09-12 05:07:45 UTC
Verified.

Cheers,
Julie


Note You need to log in before you can comment on or make changes to this bug.